<?php

function rainyday_settings_form() {
  $themes = array();
  foreach (list_themes() as $theme) {
    $themes[$theme->name] = $theme->name;
  }

  $form['rainyday_themes'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Themes'),
    '#description' => t('Select themes for rainyday.'),
    '#options' =>  $themes,
    '#default_value' => variable_get('rainyday_themes', array()),
  );

  $form['rainyday_image'] = array(
    '#title' => t('Background image'),
    '#type' => 'managed_file',
    '#required' => true,
    '#upload_location' => 'public://',
    '#upload_validators' => array(
      'file_validate_extensions' => array('jpg png jpeg'),
    ),
    '#default_value' => variable_get('rainyday_image', ''),
  );

  $form['rainyday_selectors'] = array(
    '#title' => t('Content selectors'),
    '#type' => 'textfield',
    '#default_value' => variable_get('rainyday_selectors', '#skip-link, #navbar, .main-container'),
    '#description' => t('Parent content selectors for set relative position. Separate by , symbol.'),
  );

  return system_settings_form($form);
}
